@import url(https://fonts.googleapis.com/css?family=Yanone+Kaffeesatz:400, 700);

body {
  font-family: 'Helvetica Neue';
  margin: 40px auto;
  width: 960px;
  min-height: 2000px;
}

#body {
  position: relative;
}

footer {
  padding: 2em 0 1em 0;
  font-size: 12px;
}

h1 {
  font-size: 96px;
  margin-top: 0.3em;
  margin-bottom: 0;
}

h1 + h2 {
  margin-top: 0;
}

h2 {
  font-weight: 400;
  font-size: 28px;
}

h1,
h2 {
  font-family: 'Yanone Kaffeesatz';
  text-rendering: optimizeLegibility;
}

#body > p {
  line-height: 1.5em;
  width: 640px;
  text-rendering: optimizeLegibility;
}

#charts {
  padding: 10px 0;
}

.chart {
  display: inline-block;
  height: 151px;
  margin-bottom: 20px;
}

.reset {
  padding-left: 1em;
  font-size: smaller;
  color: #ccc;
}

.background.bar {
  fill: #ccc;
}

.foreground.bar {
  fill: steelblue;
}

.brush-handle {
  fill: #eee;
  stroke: #666;
}

#hour-chart {
  width: 260px;
}

#delay-chart {
  width: 230px;
}

#distance-chart {
  width: 430px;
}

#date-chart {
  width: 920px;
}

#flight-list {
  min-height: 1024px;
}

#flight-list .date,
#flight-list .day {
  margin-bottom: 0.4em;
}

#flight-list .flight {
  line-height: 1.5em;
  background: #eee;
  width: 925px;
  margin-bottom: 1px;
}

#flight-list .time {
  color: #999;
}

#flight-list .flight div {
  display: inline-block;
}

#flight-list div.time {
  width: 100px;
  text-align: left;
}

#flight-list div.origin {
  width: 50px;
  text-align: right;
  padding-right: 15px;
}

#flight-list div.destination {
  width: 100px;
  text-align: left;
  padding-left: 15px;
}

#flight-list div.distance {
  width: 100px;
  text-align: left;
}

#flight-list div.delay {
  width: 120px;
  padding-right: 0px;
  text-align: right;
}

#flight-list .early {
  color: green;
}

aside {
  position: absolute;
  left: 740px;
  font-size: smaller;
  width: 220px;
}
